#include <iostream>
#include <cstdio>
#include <cmath>
#include <cstring>
#include <algorithm>
#include <iomanip>
#include <vector>
#include <stack>
using namespace std;
int n,k,br,m[105][105],vr[105][1000000],kol[105][10000000000];

int main(){
    freopen("odavde.txt","r",stdin);
    cin>>n>>k;
    for(int i=1;i<=n;i++){
        for(int j=1;j<=n;j++){
            br++;
            scanf("%d",&m[i][j]);
            vr[i][m[i][j]]++;
            kol[j][m[i][j]]++;
        }
    }


return 0;
}